package com.ssj.bean.kmt.kmt.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "kmt_course_know_kd_detail")
public class KmtCourseKnowKdDetail  extends BaseEntity {

	private static final long serialVersionUID = 1L;
	
	private String courseKnowId;
	
	private String howDetailsKdId;
	
	private String kdName;
	
	private String knowId;
	
	private String ydsl;
	
	private Integer num;
	
	private Integer type;
	
	private Date createTime;

	public String getCourseKnowId() {
		return courseKnowId;
	}

	public void setCourseKnowId(String courseKnowId) {
		this.courseKnowId = courseKnowId;
	}

	public String getHowDetailsKdId() {
		return howDetailsKdId;
	}

	public void setHowDetailsKdId(String howDetailsKdId) {
		this.howDetailsKdId = howDetailsKdId;
	}

	public String getKdName() {
		return kdName;
	}

	public void setKdName(String kdName) {
		this.kdName = kdName;
	}

	public String getKnowId() {
		return knowId;
	}

	public void setKnowId(String knowId) {
		this.knowId = knowId;
	}

	public String getYdsl() {
		return ydsl;
	}

	public void setYdsl(String ydsl) {
		this.ydsl = ydsl;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	


}
